# Python

{% hint style="info" %}
Visit the [project on Github](https://github.com/ltonetwork/lto-api.python)
{% endhint %}

## Installation

```shell
pip install lto
```

## Usage

```python
from lto import LTO
from lto.public_node import PublicNode

seed = "manage manual recall harvest series desert melt police rose hollow moral pledge kitten position add"

account = LTO("T").Account(seed='seed')
node = PublicNode("https://testnet.lto.network")

amount = 1000.0 # Amount of LTO to transfer
recipient = "3Jo1JCrBvnWCg37VDxMXAjYhsS9rRDLBSze"

transaction = Transfer(recipient, amount)
transaction.sign_with(account)
transaction.broadcast_to(node)
```

To check the response from the node is easy, just modify the last line and add a print

```python
response = transaction.broadcast_to(node)
print(response.to_json())
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ltonetwork.com/libraries/python.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
